package ovh.herisson.Clyde.Repositories.Inscription;

import org.springframework.data.repository.CrudRepository;
import ovh.herisson.Clyde.Tables.Inscription.ExternalCurriculum;
import ovh.herisson.Clyde.Tables.Inscription.InscriptionRequest;
import ovh.herisson.Clyde.Tables.User;

import java.util.ArrayList;

public interface ExternalCurriculumRepository extends CrudRepository<ExternalCurriculum, Long> {
    ArrayList<ExternalCurriculum> getExternalCurriculumByInscriptionRequest(InscriptionRequest ir);

    ArrayList<ExternalCurriculum> getExternalCurriculumByUser(User user);
    ExternalCurriculum getExternalCurriculumById(long id);
}
