package ovh.herisson.Clyde.Tables;

import org.hibernate.engine.jdbc.connections.spi.JdbcConnectionAccess;
import org.hibernate.engine.spi.SharedSessionContractImplementor;
import org.hibernate.id.IdentifierGenerator;

import java.sql.*;
import java.util.Calendar;
import java.util.Date;
import java.util.GregorianCalendar;

public class RegNoGenerator implements IdentifierGenerator {
    private static int count = 0;
    @Override
    public Object generate(SharedSessionContractImplementor session, Object object) {
        try{
            JdbcConnectionAccess jdbccon = session.getJdbcConnectionAccess();
            Connection conn = jdbccon.obtainConnection();

            Statement statement = conn.createStatement();

            Calendar c = new GregorianCalendar();
            int y = c.get(Calendar.YEAR);
            String query = "select count(reg_no) + "+count+" from Users where reg_no/10000 = " + y%1000;

            ResultSet set = statement.executeQuery(query);
            long resp = 0;
            if(set.next()){
                resp = set.getLong(1)+((y%1000)*10000);
                count += 1;
            }

            conn.close();
            statement.close();

            return resp;

        } catch (SQLException e) {
            throw new RuntimeException(e);
        }
    }

    public static void resetCount(){
        count = 0;
    }
}