import { restGet, restPost, restDelete, restPatch } from '../restConsumer.js'

export async function fetchResearcher(id){
    return restGet("/researcher/" + id)
}

export async function fetchResearches(id){
    return restGet("/researches/" + id)
}

export async function fetchStats(id){
    return restGet("/stats/" +id)
}

export async function fetchResearch(id){
    return restGet("/research/" +id)
}

export async function deleteResearcher(id){
    return restDelete("/researcher/" + id)
}

export async function postResearcher(data){
    return restPost("/researcher", data)
}