import {restGet, restPatch, restPost} from "@/rest/restConsumer.js";
import {parseInteger} from "jsdom/lib/jsdom/living/helpers/strings.js";

export async function createExternalCurriculum(inscriptionRequestId,school, formation, completion, startYear, endYear, justifdocUrl, userRegNo){
    return restPost("/externalcurriculum", {
        inscriptionRequestId: inscriptionRequestId,
        school:school,
        formation :formation,
        completion : completion,
        startYear : startYear,
        endYear: endYear,
        justifdocUrl : justifdocUrl,
        userRegNo : userRegNo
    })
}

export async function getExternalCurriculumByInscrReq(inscrReqId){
    return restGet("/externalcurriculum/"+inscrReqId)
}

export async function getExternalCurriculumByUser(userId){
    return restGet("/externalcurriculumbyuser/"+userId)
}

