package ovh.herisson.Clyde.Repositories.Msg;

/******************************************************
 * @file DiscussionRepository.java
 * @author Anthony Debucquoy
 * @scope Extension messagerie
 *
 * Repository of Discussion allowing to fetch discussion by user 
 ******************************************************/


import java.util.List;

import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.CrudRepository;

import ovh.herisson.Clyde.Tables.Msg.Discussion;

public interface DiscussionRepository extends CrudRepository<Discussion, Long>{

	@Query("SELECT d FROM Discussion d INNER JOIN FETCH d.members dm WHERE dm.id = ?1")
	List<Discussion> findByMembership(long userid);
}
