package ovh.herisson.Clyde.Repositories;


import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.CrudRepository;
import ovh.herisson.Clyde.Tables.Course;
import ovh.herisson.Clyde.Tables.TeacherCourse;
import ovh.herisson.Clyde.Tables.User;

public interface TeacherCourseRepository extends CrudRepository<TeacherCourse, Long> {

    @Query("select tc.user from TeacherCourse tc where tc.course = ?1")
    Iterable<User> findAllAssistantOfCourse(Course course);
}
