package ovh.herisson.Clyde.Services;

import org.springframework.stereotype.Service;
import ovh.herisson.Clyde.Repositories.ScheduleRepository;
import ovh.herisson.Clyde.Tables.Schedule;

@Service
public class ScheduleService {
    private final ScheduleRepository scheduleRepo;
    public ScheduleService(ScheduleRepository scheduleRepo) {
        this.scheduleRepo = scheduleRepo;
    }
    public Schedule save(Schedule schedule){
        return scheduleRepo.save(schedule);
    }
    public Schedule findById(long id){
        return scheduleRepo.getById(id);
    }
    public void delete(Schedule schedule){
        scheduleRepo.delete(schedule);
    }

}

