import { ref } from 'vue'
import { restGet, restPost } from '@/rest/restConsumer.js'

export const notifications = ref([]);

export function fetchNotifications(){
	restGet("/notifications").then( e => notifications.value = e );
}

export function archiveNotification(id){
	restPost("/notifications/" + id).then( e => fetchNotifications() );
}
